## ros-one-jsk-data 2.2.16-2jammy.20251023.1140

=== debian/changelog ===
ros-one-jsk-data (2.2.16-2jammy.20251023.1140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 11:40:13 +0000

ros-one-jsk-data (2.2.16-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-data (2.2.15-0jammy) jammy; urgency=high

  * [jsk_data] Automatically add the host key and Check stdout.read() type (#1810 <https://github.com/jsk-ros-pkg/jsk_common/issues/1810>)
    - stdout.read() returns a bytes object in Python 3, whereas in Python 2, it returned a str
    - The error indicates that the new version of Paramiko (2.6.0) is stricter about host key checking, requiring the server to be present in the known_hosts file by default. This is a security feature to prevent man-in-the-middle attacks.
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-data (2.2.14-0jammy) jammy; urgency=high

  * [colcon][jsk_data] Support download_data with colcon (#1803 <https://github.com/jsk-ros-pkg/jsk_common/issues/1803>)
  * [jsk_data] add xz support for download_data (#1797 <https://github.com/jsk-ros-pkg/jsk_common/issues/1797>)
  * [jsk_data] add 'wget' to package.xml, jsk_data/src/download_data.py requries wget (#1793 <https://github.com/jsk-ros-pkg/jsk_common/issues/1793>)
  * Contributors: Koki Shinjo, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-data (2.2.13-0jammy) jammy; urgency=high

  * [jsk_data/download_data.py] Add timeout argument to download() for wget (#1771 <https://github.com/jsk-ros-pkg/jsk_common/issues/1771>)
    
      * add  2 blank lines before function definition ros roslint
        ```
        src/jsk_data/download_data.py:120:1: E302 expected 2 blank lines, found 1
        ```
      * Add timeout argument to download() for wget
    
  * Contributors: Aoi Nakane, Kei Okada, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-jsk-data (2.2.12-0jammy) jammy; urgency=high

  * [jsk_data/tess_data_collection_server] Check if text and yaml or text and image are saved in the subdirectory of save_dir. (#1734 <https://github.com/jsk-ros-pkg/jsk_common/issues/1734>)
  * [test/data_collection_server] Wait until data saved for test. (#1728 <https://github.com/jsk-ros-pkg/jsk_common/issues/1728>)
  * [jsk_data] Strip newline at test code. (#1726 <https://github.com/jsk-ros-pkg/jsk_common/issues/1726>)
  * [data_collection_server] Add rosbag to data collection server (#1708 <https://github.com/jsk-ros-pkg/jsk_common/issues/1708>)
    
      * add rosbag_options param
      * delete sample launch file
      * remove rosbag param
      * add rosbag_prefix param
      * remove print and avoid error if end is called before start
      * add minimal functions about rosbag record in data_collection_server
    
  * [jsk_data] add wait_timer for timer method (#1697 <https://github.com/jsk-ros-pkg/jsk_common/issues/1697>)
    
      * rename to wait_msgs_update
      * add wait_timer rosparam for timer waiting
      * remove wait in sync_sub_and_save_cb
      * check all msg stamp in self.msgs for wait_msgs_update
      * add wait_service_request for timer and all method
    
  * use raw_input for python2 c.f. (#1695 <https://github.com/jsk-ros-pkg/jsk_common/issues/1695>)
  * [jsk_data] add wait_save_request in data_collection_server (#1669 <https://github.com/jsk-ros-pkg/jsk_common/issues/1669>)
  * fix TOPICS arg (#1689 <https://github.com/jsk-ros-pkg/jsk_common/issues/1689>)
  * Update jsk_data/src/jsk_data/download_data.py (#1685 <https://github.com/jsk-ros-pkg/jsk_common/issues/1685>)
    
      * [jsk_data] fix bugs in download_data.py
      * [jsk_data] update download_data.py to remove front './' from extracted file names
    
  * check if openni_launch exits to run roslaunch-check pr2_play.launch (#1662 <https://github.com/jsk-ros-pkg/jsk_common/issues/1662>)
    
      * use xacro instead of xacro.py
    
  * Contributors: Iori Yanokura, Naoaki Kanazawa, Koki Shinjo, Shingo Kitagawa, Shumpei Wakabayashi, Shun Hasegawa, Iori Yanokura, Ren Kunita

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-jsk-data (2.2.11-0jammy) jammy; urgency=high

  * [jsk_data] Add common rosbag_record and play file for fetch (#1611 <https://github.com/jsk-ros-pkg/jsk_common/issues/1611>)
    
      * enable to give rosbag option to fetch_play.sh like pr2_play.sh
      * add option to launch rqt_bag and rviz in fetch_play.launch
      * [jsk_data/CMakeLists.txt] Add roslaunch_add_file_check for fetch's launch files
      * [jsk_data] Add fetch_play.sh
      * [jsk_data] Add fetch_play and fetch_record.launch
    
  * use xdg-open for ubuntu16.04 and above (#1638 <https://github.com/jsk-ros-pkg/jsk_common/issues/1638>)
  * [jsk_data/common_record.launch] Add tf_static recordf( #1641 <https://github.com/jsk-ros-pkg/jsk_common/issues/1641>)
  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * pytho3 dislike d in regrex, src/test_topic_published.py:50:37: W605 invalid escape sequence 'd'
      * jsk_data/tests/test_data_collection_server.py use python3 as interpreter
        
        python code under scripts/ installed with catkin_python_install as http://wiki.ros.org/UsingPython3/SourceCodeChanges, to dynamically change shebangs on install timeThis installs tests/test_data_collection_server.py under CATKIN_PACKAGE_SHARE/tests, which outputs
        ```
        $ rosrun jsk_data test_data_collection_server.py
        [rosrun] You have chosen a non-unique executable, please pick one of the following:
        1) /home/user/devel/share/jsk_data/tests/test_data_collection_server.py
        2) /home/user/src/jsk_common/jsk_data/tests/test_data_collection_server.py


## ros-one-jsk-data 2.2.16-2noble.20251023.1209

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_data)
find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure message_generation)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/DataCollectionServer.cfg
)

catkin_add_env_hooks(99.jsk_data-completion SHELLS bash DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
catkin_install_python(PROGRAMS
  scripts/jsk_data
  scripts/robot_description_loader.py
  scripts/robot_description_saver.py
  scripts/rosbag_always.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY node_scripts/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
install(PROGRAMS
  scripts/copy-pr2-bagfiles
  scripts/decompress
  scripts/gen-gif-all
  scripts/gopro-copy-files.sh
  scripts/hrp2_rosbag_always.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES amd64* OR
   ${CMAKE_SYSTEM_PROCESSOR} MATCHES x86_64*)
  install(PROGRAMS
    scripts/drive-linux-x64
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
endif()
install(DIRECTORY launch rvizconfig sample tests
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN tests/test_data_collection_server.py EXCLUDE
)
catkin_install_python(PROGRAMS
  tests/test_data_collection_server.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/tests/)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_python(src/jsk_data)
  roslint_add_test()

  catkin_add_nosetests(src/jsk_data/tests)

  find_package(roslaunch REQUIRED)
  find_package(baxter_description QUIET)
  if(baxter_description_FOUND)
    roslaunch_add_file_check(launch/baxter_play.launch)
    roslaunch_add_file_check(launch/baxter_record.launch)
  endif()
  find_package(fetch_description QUIET)
  if(fetch_description_FOUND)
    roslaunch_add_file_check(launch/fetch_play.launch)
    roslaunch_add_file_check(launch/fetch_record.launch)
  endif()
  find_package(pr2_description QUIET)
  find_package(openni_launch QUIET)
  if(pr2_description_FOUND)
    if(openni_launch_FOUND)
      roslaunch_add_file_check(launch/pr2_play.launch)
    else()
      roslaunch_add_file_check(launch/pr2_play.launch "launch_openni:=false")
    endif()
  endif()
  if(0)
    # pr2_record could not run on travis
    # 1. environment variable 'ROS_ENV_LOADER' is not set.
    # 2. Invalid <param> tag: Cannot load command parameter [mk_save_dir]: command [mkdir -p /removable/bagfile/] returned with code [1].
    roslaunch_add_file_check(launch/pr2_record.launch)
  endif()
  roslaunch_add_file_check(launch/hrp2_record.launch)
  roslaunch_add_file_check(launch/urata_record.launch)

  find_package(rostest REQUIRED)
  add_rostest(tests/data_collection_server.test)
endif()

=== debian/changelog ===
ros-one-jsk-data (2.2.16-2noble.20251023.1209) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 12:09:14 +0000

ros-one-jsk-data (2.2.16-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-data (2.2.15-0noble) noble; urgency=high

  * [jsk_data] Automatically add the host key and Check stdout.read() type (#1810 <https://github.com/jsk-ros-pkg/jsk_common/issues/1810>)
    - stdout.read() returns a bytes object in Python 3, whereas in Python 2, it returned a str
    - The error indicates that the new version of Paramiko (2.6.0) is stricter about host key checking, requiring the server to be present in the known_hosts file by default. This is a security feature to prevent man-in-the-middle attacks.
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-data (2.2.14-0noble) noble; urgency=high

  * [colcon][jsk_data] Support download_data with colcon (#1803 <https://github.com/jsk-ros-pkg/jsk_common/issues/1803>)
  * [jsk_data] add xz support for download_data (#1797 <https://github.com/jsk-ros-pkg/jsk_common/issues/1797>)
  * [jsk_data] add 'wget' to package.xml, jsk_data/src/download_data.py requries wget (#1793 <https://github.com/jsk-ros-pkg/jsk_common/issues/1793>)
  * Contributors: Koki Shinjo, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-data (2.2.13-0noble) noble; urgency=high

  * [jsk_data/download_data.py] Add timeout argument to download() for wget (#1771 <https://github.com/jsk-ros-pkg/jsk_common/issues/1771>)
    
      * add  2 blank lines before function definition ros roslint
        ```
        src/jsk_data/download_data.py:120:1: E302 expected 2 blank lines, found 1
        ```
      * Add timeout argument to download() for wget
    
  * Contributors: Aoi Nakane, Kei Okada, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-jsk-data (2.2.12-0noble) noble; urgency=high

  * [jsk_data/tess_data_collection_server] Check if text and yaml or text and image are saved in the subdirectory of save_dir. (#1734 <https://github.com/jsk-ros-pkg/jsk_common/issues/1734>)
  * [test/data_collection_server] Wait until data saved for test. (#1728 <https://github.com/jsk-ros-pkg/jsk_common/issues/1728>)
  * [jsk_data] Strip newline at test code. (#1726 <https://github.com/jsk-ros-pkg/jsk_common/issues/1726>)
  * [data_collection_server] Add rosbag to data collection server (#1708 <https://github.com/jsk-ros-pkg/jsk_common/issues/1708>)
    
      * add rosbag_options param
      * delete sample launch file
      * remove rosbag param
      * add rosbag_prefix param
      * remove print and avoid error if end is called before start
      * add minimal functions about rosbag record in data_collection_server
    
  * [jsk_data] add wait_timer for timer method (#1697 <https://github.com/jsk-ros-pkg/jsk_common/issues/1697>)
    
      * rename to wait_msgs_update
      * add wait_timer rosparam for timer waiting
      * remove wait in sync_sub_and_save_cb
      * check all msg stamp in self.msgs for wait_msgs_update
      * add wait_service_request for timer and all method
    
  * use raw_input for python2 c.f. (#1695 <https://github.com/jsk-ros-pkg/jsk_common/issues/1695>)
  * [jsk_data] add wait_save_request in data_collection_server (#1669 <https://github.com/jsk-ros-pkg/jsk_common/issues/1669>)
  * fix TOPICS arg (#1689 <https://github.com/jsk-ros-pkg/jsk_common/issues/1689>)
  * Update jsk_data/src/jsk_data/download_data.py (#1685 <https://github.com/jsk-ros-pkg/jsk_common/issues/1685>)
    
      * [jsk_data] fix bugs in download_data.py
      * [jsk_data] update download_data.py to remove front './' from extracted file names
    
  * check if openni_launch exits to run roslaunch-check pr2_play.launch (#1662 <https://github.com/jsk-ros-pkg/jsk_common/issues/1662>)
    
      * use xacro instead of xacro.py
    
  * Contributors: Iori Yanokura, Naoaki Kanazawa, Koki Shinjo, Shingo Kitagawa, Shumpei Wakabayashi, Shun Hasegawa, Iori Yanokura, Ren Kunita

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-jsk-data (2.2.11-0noble) noble; urgency=high

  * [jsk_data] Add common rosbag_record and play file for fetch (#1611 <https://github.com/jsk-ros-pkg/jsk_common/issues/1611>)
    
      * enable to give rosbag option to fetch_play.sh like pr2_play.sh
      * add option to launch rqt_bag and rviz in fetch_play.launch
      * [jsk_data/CMakeLists.txt] Add roslaunch_add_file_check for fetch's launch files
      * [jsk_data] Add fetch_play.sh
      * [jsk_data] Add fetch_play and fetch_record.launch
    
  * use xdg-open for ubuntu16.04 and above (#1638 <https://github.com/jsk-ros-pkg/jsk_common/issues/1638>)
  * [jsk_data/common_record.launch] Add tf_static recordf( #1641 <https://github.com/jsk-ros-pkg/jsk_common/issues/1641>)
  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * pytho3 dislike d in regrex, src/test_topic_published.py:50:37: W605 invalid escape sequence 'd'
      * jsk_data/tests/test_data_collection_server.py use python3 as interpreter
        
        python code under scripts/ installed with catkin_python_install as http://wiki.ros.org/UsingPython3/SourceCodeChanges, to dynamically change shebangs on install timeThis installs tests/test_data_collection_server.py under CATKIN_PACKAGE_SHARE/tests, which outputs
        ```
        $ rosrun jsk_data test_data_collection_server.py
        [rosrun] You have chosen a non-unique executable, please pick one of the following:
        1) /home/user/devel/share/jsk_data/tests/test_data_collection_server.py
        2) /home/user/src/jsk_common/jsk_data/tests/test_data_collection_server.py


=== debian/control ===
Source: ros-one-jsk-data
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-jsk-data
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-click, python3-paramiko, python3-yaml, ros-one-baxter-description, ros-one-depth-image-proc, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-jsk-topic-tools, ros-one-message-runtime, ros-one-nodelet, ros-one-openni-launch, ros-one-pr2-description, ros-one-pr2-machine, ros-one-rosbag, ros-one-rqt-bag, ros-one-rviz, ros-one-tf2-ros, ros-one-xacro, wget
Description: The jsk_data package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-data//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-data 2.2.16-15jammy.20260106.2124

=== debian/changelog ===
ros-one-jsk-data (2.2.16-15jammy.20260106.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:24:59 +0000

## ros-one-jsk-data 2.2.16-15jammy.20260221.2259

=== debian/changelog ===
ros-one-jsk-data (2.2.16-15jammy.20260221.2259) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 22:59:23 +0000

## ros-one-jsk-data 2.2.16-15noble.20260106.2132

=== debian/changelog ===
ros-one-jsk-data (2.2.16-15noble.20260106.2132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:32:49 +0000

## ros-one-jsk-data 2.2.16-15noble.20260222.0003

=== debian/changelog ===
ros-one-jsk-data (2.2.16-15noble.20260222.0003) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:03:32 +0000
